
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>六、java异常处理 / 憋错料</title>

    <meta name="description" content="六、java异常处理 目录 一.异常的概念 二.异常的分类 三.异常的捕获和处理 四.使用自定义异常 一.异常的概念 java异常是指java提供的用于处理程序运行过程中错误的一种机制 所谓错误是指在程序运行的过程中发生的一些异常事件(如:除0溢出,数组下标越界,索要读取的文件不存在等) 设计良好的程序应该在异常发生时提供处理这些错误的方法,是的程序不会因为异常的发生而阻断或产生不可预见的结果 java程序的执行过程中如出现异常事件,可以生成一个异常类对象,该异常对象封装了异常事件的信息并将被其提交给java运行系统">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">六、java异常处理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h3>目录</h3>
<p>一、异常的概念</p>
<p>二、异常的分类</p>
<p>三、异常的捕获和处理</p>
<p>四、使用自定义异常</p>
<h1>一、异常的概念</h1>
<p>java异常是指java提供的用于处理程序运行过程中错误的一种机制</p>
<p>所谓错误是指在程序运行的过程中发生的一些异常事件（如：除0溢出，数组下标越界，索要读取的文件不存在等）</p>
<p>设计良好的程序应该在异常发生时提供处理这些错误的方法，是的程序不会因为异常的发生而阻断或产生不可预见的结果</p>
<p>java程序的执行过程中如出现异常事件，可以生成一个异常类对象，该异常对象封装了异常事件的信息并将被其提交给java运行系统，这个过程成为抛出（throw）异常</p>
<p>当java运行时系统接受到异常对象时，会寻找能处理这一异常的代码并把当前异常对象交给其处理，这一过程成为捕获（catch）异常</p>
<pre>//一个捕获异常的示例
public class test {
        public static void main(String args[]) {
            try {
                System.out.println(2/0);
            } catch (ArithmeticException ae) {
                System.out.print("运行出错！");
            }
        }
}</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzg4NTcwNy8yMDE2MDYvODg1NzA3LTIwMTYwNjExMjMwMzQ5NDMzLTc4MzczOTk2Ni5wbmc=.jpg" /></p>
<h1>二、异常的分类</h1>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzg4NTcwNy8yMDE2MDYvODg1NzA3LTIwMTYwNjExMjMwMzUwMzA4LTUyNjU1MjAxMS5wbmc=.jpg" /></p>
<p>Throwable：可被抛出的</p>
<p>Error：系统错误，做自己处理不了的</p>
<p>Exception：自己可以做处理的，可以catch的</p>
<p>RuntimeExpetion：经常出的错误（这种错误可以catch，也可以不catch）</p>
<p>还有一种exception是必需要去捕获的</p>
<h1>三、异常的捕获和处理</h1>

<pre>try {
    //可能抛出异常的语句
} catch ( SomeException1 e ) {
    ......
} catch ( SomeException2 e) {
    ......
} finally {
    ......
}</pre>

<ul>
<li>try代码段包含可能产生异常的代码</li>
<li>try代码段后根由一个或多个catch代码段</li>
<li>每个catch代码段声明其能处理的一种特定类型的异常并提供处理的方法</li>
<li>当异常发生时，程序会终止当前的流程，根据获取异常的类型去执行相应的catch代码段</li>
<li>finally段的代码无论是否发生异常都会在最后进行执行</li>
</ul>
<p>try{</p>
<ul>
<li>try语句指定了一段代码，该段代码就是一次捕获并处理例外的范围。</li>
<li>在执行过程中该段代码可能会产生并抛出一种或几种类型的异常对象，它后面的catch语句要分别对这些异常做相应的处理</li>
<li>如果没有例外产生，所有的catch代码段都被略过不执行</li>
</ul>
<p>} catch ( ) {</p>
<ul>
<li>在catch语句块中是对异常进行处理的代码，每个try语句块可以伴随一个或多个catch语句，用于处理可能产生的不同类型的异常对象</li>
<li>在catch中声明的异常对象（catch（someException e））封装了异常时间发生的信息，在catch语句块中可以使用这个对象的一些方法获取这些信息。</li>
<li>例如：getMessage（）方法：用来得到有关异常事件的信息。printStackTrace（）方法：用来跟踪异常事件发生时执行堆栈的内容。</li>
</ul>
<p>}&nbsp; finally （）｛</p>
<ul>
<li>finally语句为异常处理提供一个统一的出口，是的在控制流程转到程序的其他部分以前，能够对程序的状态做统一的管理</li>
<li>无论try所指定的程序块中是否抛出例外，finally所指定的黛娜都要被执行。</li>
<li>通常在finally语句中可以进行资源的清除工作，如：关闭打开的文件，删除临时文件等</li>
</ul>
<p>｝</p>
<p>对于一些自己处理不了的异常或是自己不想去处理的异常，可以直接往外抛异常，这样就可以不用在代码段中加try｛｝catch｛｝</p>
<pre>//一个抛出异常的例子
public class test {
        public static void main(String args[]) throws IOException {
            test();
        }

        static void test() throws IOException {
            System.out.println(2/0);
        }
}</pre>
<pre>//不加try...catch的另外一种抛异常方法
public class test {
        public static void main(String args[]) throws IOException {
            int i = 0;
            if (i == 0) {
                throw new IOException("出错了");
            }
        }
}</pre>
<p>看一个例子，这就是打印的堆栈信息，虽然报错很多行，但是或许只要更改一次就可以解决：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzg4NTcwNy8yMDE2MDYvODg1NzA3LTIwMTYwNjExMjMwMzUxMDI3LTU4NjQzMDY1NC5wbmc=.jpg" /></p>
<p>另外在捕获异常的时候注意下面这种问题：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzg4NTcwNy8yMDE2MDYvODg1NzA3LTIwMTYwNjExMjMwMzUxNzYxLTUyODE1MTAzNS5wbmc=.jpg" /></p>
<h1>四、使用自定义异常</h1>
<p>使用自定义异常一般有如下步骤：</p>
<p>1.通过继承java.lang.Exception类声明自己的异常类</p>
<p>2.在方法适当的位置生成自定义异常的实例，并用throw语句抛出</p>
<p>3.在方法的声明部分用throws语句声明该方法可能抛出的异常</p>
<pre>//创建一个exception类存放自己的exception
public class MyExpection extends Exception {
    private int id;
    public MyExpection (String message,int id) {
        super(message);
        this.id = id;
    }
    public int getId() {
        return id;
    }
}</pre>
<pre>//测试类
public class Test {
    //定义一个方法
    public void regist(int num) throws MyExpection {
        if(num &lt; 0) {
            throw new MyExpection("不应该为负值", 3);
        }
        System.out.println("登记人数： "+ num);
    }
    //定义另一个方法
    public void manager() {
        try {
            regist(100);
        } catch (MyExpection e) {
            System.out.println("登记失败，出错类型码="+e.getId());
            e.printStackTrace();
        }
        System.out.println("操作结束！");
    }
    //程序入口main方法
    public static void main(String[] args) {
        Test t = new Test();
        t.manager();
    }
}</pre>
<p>可以自己调试输出</p>
<p>注意：</p>
<p>当原方法有异常时重写该方法需要抛出与原方法所抛出异常类型一致的异常或不抛出异常，其他情况都无法进行重写</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 09:15:28 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>六、java异常处理的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0n1jvjM.html" rel="bookmark">基础知识《十一》Java异常处理总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java异常处理总结 异常处理是程序设计中一个非常重要的方面,也是程序设计的一大难点,从C开始,你也许已经知道如何用if...else...来控制异常了,也许是自发的,然而这种控制异常痛苦,同一个异常或者错误如果多个地方出现,那么你每个地方都要做相同处理,感觉相当的麻烦! Java语言在设计的当初就考虑到这些问题,提出异常处理的框架的方案,所有的异常都可以用一个类型来表示,不同类型的异常对应不同的子类异常(这里的异常包括错误概念),定义异常处理的规范,在1.4版本以后增加了异常链机制,从而便于跟			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j5ErgM.html" rel="bookmark">Java异常处理总结Exception&bsol;Error</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java异常处理总结Exception\Error 2012-12-28 08:17:17|  分类: JAVA |  标签:java  |举报|字号 订阅 Java异常处理总结 异常处理是程序设计中一个非常重要的方面,也是程序设计的一大难点,从C开始,你也许已经知道如何用if...else...来控制异常了,也许是自发的,然而这种控制异常痛苦,同一个异常或者错误如果多个地方出现,那么你每个地方都要做相同处理,感觉相当的麻烦! Java语言在设计的当初就考虑到这些问题,提出异常处理的框架的方案,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzAD1A4.html" rel="bookmark">Java 异常处理机制和集合框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程  Java面向对象程序设计   实验名称  异常处理机制.集合框架 班级    13级计三          学号  10503                姓名 一.实验目的 掌握面向对象程序设计技术 二.实验环境 1.微型计算机一台 2.WINDOWS操作系统,Java SDK,Eclipse开发环境 三.实验内容 1.Java异常处理机制涉及5个关键字:try.catch.finally.throw.throws,请理解每个关键字的作用,并在编写程序,使用运用这5个关键字,观察效果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ekRGa4.html" rel="bookmark">Java异常处理机制难点解惑-用代码说话</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				是否需要看这篇文章? 下面的例子中,如果正常执行返回值多少? 如果出现了ArithmeticException返回值多少? 如果出现非ArithmeticException(如NullPointerException)返回值多少? 如果你了解这个例子说明的问题,并了解例子中三种情况下的执行细节,这篇文章你就不用浪费时间看了. 例子: public int testException_finally(){ int x; try { x = 1; //int y = 1/0; //放开此处,出现Ar			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YWWzr4.html" rel="bookmark">JavaSE入门学习25：Java异常处理&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一异常简介 异常是程序中的一些错误,但并不是所有的错误都是异常,并且错误有时候是可以避免的.比如说,你的代码少 了一个分号,那么运行出来结果是提示是错误java.lang.Error:如果你用System.out.println(11/0),那么你是因为你用 0做了除数,会抛出java.lang.ArithmeticException的异常. Java异常是Java提供的用于处理程序中错误的一种机制. 异常发生的原因有很多,通常包含以下几大类: a用户输入了非法数据. b要打开的文件不存在. c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0R9gqRM.html" rel="bookmark">如何正确使用Java异常处理机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一节 异常处理概述 第二节 Java异常处理类 2.1 Throwable 2.1.1 Throwable有五种构造方法 2.1.2 Throwable的所有成员方法 2.2 Error 2.3 Exception 2.4 RuntimeException 2.5 Checked Exception 2.6 Uncheck Exception 2.7 总结 第三节 Java异常处理执行流程探究 3.1 流程一 3.2 流程二 3.3 流程三 3.4 流程四 3.5 流程五 3.6 流程六 3.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41apYo4.html" rel="bookmark">&lbrack; Java学习基础 &rsqb; Java异常处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.异常概述 异常是程序中的一些错误,但并不是所有的错误都是异常,并且错误有时候是可以避免的.比如说,你的代码少了一个分号,那么运行出来结果是提示是错误 java.lang.Error:如果你用System.out.println(11/0),那么你是因为你用0做了除数,会抛出 java.lang.ArithmeticException 的异常. 异常发生的原因有很多,通常包含以下几大类: 用户输入了非法数据. 要打开的文件不存在. 网络通信时连接中断,或者JVM内存溢出. 这些异常有的是因为用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n4AaWd4.html" rel="bookmark">深入理解Java异常处理机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 引子 try-catch-finally恐怕是大家再熟悉不过的语句了,而且感觉用起来也是很简单,逻辑上似乎也是很容易理解.不过,我亲自体验的&quot;教训&quot;告诉我,这个东西可不是想象中的那么简单.听话.不信?那你看看下面的代码,&quot;猜猜&quot;它执行后的结果会是什么?不要往后看答案.也不许执行代码看真正答案哦.如果你的答案是正确,那么这篇文章你就不用浪费时间看啦. &lt;span style=&quot;background-color: rgb(255, 255, 255			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/9MBjpgM.html" rel="bookmark">Java异常处理机制的秘密</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.结论 这些结论你可能从未听说过,但其正确性是毋庸置疑的,不妨先看看: 1.catch中throw不一定能抛回到上一层,因为finally中的return会抑制这个throw2.finally中throw一定能抛回上一层,因为此时其后的return不会被执行到(throw中断了正常的顺序流)3.在try/catch中return并不会直接返回上一层,而是先执行finally再返回 二.一段小程序 ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/B0RdwY4.html" rel="bookmark">项目中java异常处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.java异常类介绍. Throwable: 有两个重要的子类:Exception(异常)和 Error(错误),二者都是 Java 异常处理的重要子类,各自都包含大量子类. 有一篇比较好的blog,http://blog.csdn.net/hguisu/article/details/6155636 介绍java异常. 二.异常处理方式. 在 Java 应用程序中,异常处理机制为:抛出异常,捕捉异常. 三.程序中使用. 2种处理方式 1.throw new 异常  在方法体上写throws			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MEO7y3.html" rel="bookmark" class="title">T4模板：T4模板之菜鸟篇</a>
					<div>
						一.废话 T4(Text Template Transformation Toolkit)是微软官方在VisualStudio 2008中开始使用的代码生成引擎.在 Visual Studio 中,& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4pKEK3.html" rel="bookmark" class="title">Nginx基础搭建篇</a>
					<div>
						Nginx(轻量级web服务器)  是一个高性能的HTTP和 反向代理 服务器 优点:占用内存少.抗并发能力强.适合处理静态页面.稳定性高.支持热部署等. 缺点:处理动态页面鸡肋.bug比apache ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eAKQv0.html" rel="bookmark" class="title">XVII Open Cup named after E&period;V&period; Pankratiev Stage 14&comma; Grand Prix of Tatarstan&comma; Sunday&comma; April 2&comma; 2017 Problem D&period; Clones and Treasures</a>
					<div>
						题目:Problem D. Clones and TreasuresInput file: standard inputOutput file: standard outputTime limit:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0awOvk4.html" rel="bookmark" class="title">Visual Studio 2015 命令行编译C&sol;C&plus;&plus;程序</a>
					<div>
						在开始菜单下可以找到(我的系统是WIN10):Developer Command Prompt for VS2015.该快捷方式的目标文件为VS2015安装目录下的D:\VS2015\Common7\ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8v1y3.html" rel="bookmark" class="title">9&period;Function类型</a>
					<div>
						Function类型 学习要点:1.函数的声明方式2.作为值的函数3.函数的内部属性4.函数属性和方法 在ECMAScript中,Function(函数)类型实际上是对象,每个函数都是Function ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjBLa0.html" rel="bookmark" class="title">【leetcode】Anagrams</a>
					<div>
						Anagrams Given an array of strings, return all groups of strings that are anagrams. Note: All inputs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wykDRM.html" rel="bookmark" class="title">试解释下列名词：程序的顺序执行，程序的并发执行。</a>
					<div>
						一个计算由若干个操作组成,若这些操作必须按照某种先后次序来执行,以保证操作的结果是正确的,则这类计算过程称为程序的顺序执行过程. 所谓的程序的并发执行是指若干个程序同时在系统中运行,这些程序的执行在时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wykYlM.html" rel="bookmark" class="title">poj 2656 Unhappy Jinjin</a>
					<div>
						#include &lt;stdio.h&gt; int main() { while(1) { int i, n; int maxday, maxvalue = -1; scanf(&quot;%d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/415Pvv4.html" rel="bookmark" class="title">Python学习 之 运算符&amp;amp&semi;表达式</a>
					<div>
						1.Python运算符包括:赋值运算符.算术运算符.关系运算符.逻辑运算符. 表达式是将不同的数据(包括变量.函数)用运算符号按一定规则连接起来的一种式子. 2.赋值运算符:=.+=.-=.*=./= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBRQnYM.html" rel="bookmark" class="title">缺豪峭氯直62滴北任io厦妹</a>
					<div>
						这就叫率先垂范. 未疗明天,孩子得心里头非常激动,孩子衷心地感谢党和政府未孩子们提供这次极其珍贵得&quot;自荐&quot;机不会. 所谓样样都好,孩子们举办疗这次演讲邀请赛. 党得三中全,用新姿态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qLaX3.html" rel="bookmark" class="title">C&num;连接Sqlite 出现&colon;混合模式程序集是针对&OpenCurlyDoubleQuote;v2&period;0&period;50727&rdquo;版的运行时生成的，在没有配置其他信息的情况下，无法在 4&period;0 运行时中加载该程序集。的解决方案</a>
					<div>
						C#连接Sqlite 出现: 混合模式程序集是针对“v2.0.50727”版的运行时生成的,在没有配置其他信息的情况下,无法在 4.0 运行时中加载该程序集.的解决方案 C#连接sqlite数据库代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWLRxk0.html" rel="bookmark" class="title">zoj3747（递推dp）</a>
					<div>
						题目链接:http://acm.zju.edu.cn/onlinejudge/showProblem.do?problemId=5170 题意:给n个士兵排队,每个士兵三种G.R.P可选,求至少有m个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myl5yY4.html" rel="bookmark" class="title">Android学习笔记：ListView简单实用--显示文字列表</a>
					<div>
						在activity中的编写如下代码: final List&lt;String&gt; items = new ArrayList&lt;String&gt;(); //设置要显示的数据,这里因为是例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v5mO90.html" rel="bookmark" class="title">Ubuntu安装配置Mysql</a>
					<div>
						Ubuntu安装配置Mysql 三种安装方式: 1. 从网上安装 sudo apt-get install mysql-server.装完已经自动配置好环境变量,可以直接使用mysql的命令. 注:建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZWe74.html" rel="bookmark" class="title">bzoj1003题解</a>
					<div>
						[题意分析] 给你一张无向图,固定起点和终点,除这两点外每个点都有可能消失一段时间(保证起点和终点相互可达),每天选择的路径总长,以及对路径的修改都有代价,求给定时间内最小代价保证起点终点始终连通.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXlRvqM.html" rel="bookmark" class="title">Memcached客户端-XMemcached使用</a>
					<div>
						一. XMemcached 简介 XMemcached 是一个新 java memcached client .也许你还不知道 memcached 是什么?可以先看看这里.简单来说, Memcache ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/351o6v3.html" rel="bookmark" class="title">js 贪吃蛇 大部分显而易见的问题已解决 但是代码过于复杂 欢迎纠错</a>
					<div>
						//代码相比,上次做了优化,解决自身缠绕问题 解决后退问题  食物出现问题与自身缠绕问题大同小异,这里不做代码演示,各位如有兴趣,可以自己参考,自作 //鄙人拙作,献丑了 //时间:6小时 &lt;! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l1m6X3.html" rel="bookmark" class="title">小程序，wx&period;request；动态向服务器端请求数据。</a>
					<div>
						wx.request 通过微信封装的ajax,动态向服务器端请求数据.以下是在练习微信小程序时写的测试代码. 其中index.js文件如下 1 2 3 4 5 6 7 8 9 10 11 12 13  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6xXrr3.html" rel="bookmark" class="title">Unity3D 使用脚本来控制 UI 的 Image 显示的图片。</a>
					<div>
						记录一下这个问题. 原文地址:http://tieba.baidu.com/p/3561719701 object obj = Resources.Load(资源名, typeof(Sprite)); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWdbwk0.html" rel="bookmark" class="title">OPEN SUSE LINUX</a>
					<div>
						1. 把中文界面变成英文界面 yast2-&gt;system-&gt;language: 主要语言: 美式英语US 2. 使用root用户默认登录 Ubuntu使用root登录        Ubu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
